# -*- coding: utf-8 -*-
from setuphelpers import *
import time

# Defining variables
app_dir = makepath(programfiles, "VcXsrv")


def install():
    # Initializing variables
    package_version = control.get_software_version()
    bin_name = "vcxsrv.%s.installer.exe" % package_version

    # Installing the package
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key="VcXsrv",
        min_version=package_version,
        force=True,
    )

    run(
        'netsh advfirewall firewall add rule name="vcxsrv" dir=in program="%s" action=allow remoteip=127.0.0.1,127.0.0.1'
        % installed_softwares("VcXsrv")[0]["uninstall_string"].replace("uninstall.exe", "vcxsrv.exe").split('"')[1]
    )
    remove_desktop_shortcut("XLaunch")


def uninstall():
    # Initializing variables
    app_processes_list = control.impacted_process.split(",")
    time.sleep(30)
    # Removing remaining files
    killalltasks(app_processes_list)
    if isdir(app_dir):
        remove_tree(app_dir)
